wine emerge wants to downgrade?

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

wine emerge wants to downgrade?

Mark Knecht
Is there some small thing I'm overlooking. It seems that portage
thinks that wine-20050930 is newer than the first official release
wine-0.9 and therefore wants to 'upgrade' Wine when it's really a
downgrade.

Does portage need to be informed of something special here?

Thanks,
Mark

lightning ~ # emerge -pv world

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[ebuild     U ] sys-apps/man-pages-2.11 [2.09] +nls 1,669 kB
[ebuild     U ] app-emulation/wine-20050930 [0.9] +X +alsa -arts +cups
-debug +e sd +gif -glut +jack +jpeg -lcms -ldap -nas +ncurses +opengl
+oss -scanner -truet ype +xml2 0 kB

Total size of downloads: 1,669 kB
lightning ~ #

--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: wine emerge wants to downgrade?

Holly Bostick
Mark Knecht schreef:
> Is there some small thing I'm overlooking. It seems that portage
> thinks that wine-20050930 is newer than the first official release
> wine-0.9 and therefore wants to 'upgrade' Wine when it's really a
> downgrade.
>
> Does portage need to be informed of something special here?

Yes, it does. There is a bug on b.g.o about the issue, but said issue
will ex not be resolved until the maintainer sees how future releases
are going to be numbered. For now, just mask

(piped to prevent Thunderbird quoting)

| >app-emulation/wine-0.9

in /etc/portage/package.mask, and that should do it. (It's how I did it).

Holly
--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: wine emerge wants to downgrade?

Mark Knecht
On 11/4/05, Holly Bostick <[hidden email]> wrote:

> Mark Knecht schreef:
> > Is there some small thing I'm overlooking. It seems that portage
> > thinks that wine-20050930 is newer than the first official release
> > wine-0.9 and therefore wants to 'upgrade' Wine when it's really a
> > downgrade.
> >
> > Does portage need to be informed of something special here?
>
> Yes, it does. There is a bug on b.g.o about the issue, but said issue
> will ex not be resolved until the maintainer sees how future releases
> are going to be numbered. For now, just mask
>
> (piped to prevent Thunderbird quoting)
>
> | >app-emulation/wine-0.9
>
> in /etc/portage/package.mask, and that should do it. (It's how I did it).
>
> Holly

OK, thanks Holly. That's basically how I got it installed.

I generally avoid putting these masks in as I seem to forget they are there. :-)

Cheers,
Mark

--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: wine emerge wants to downgrade?

Tim Kruse
* On 04.11.2005 Mark Knecht wrote:

>> [masking packages in /etc/portage/package.mask]
>
> I generally avoid putting these masks in as I seem to forget they are
> there. :-)

 This is the reason I have these lines in my user crontab (I have
read permissions on /etc/portage/package.mask)

,-----[crontab -l]
| #
| #   Show masked packages in /etc/portage/package.mask
| #
| 00      6   * * *   /bin/grep -v "^\#" /etc/portage/package.mask
`-----

 The output is mailed to me ;-)

 So long,
tkr

--
BOFH Excuse #185:

system consumed all the paper for paging

signature.asc (196 bytes) Download Attachment